roiConnectivity {arf3DS4} | R Documentation

## calculate Connectivity with spatial averaging

### Description

Calculates functional connectivity based on the spatial average of the voxels within the isoContours of the estimated model.

### Usage

    roiConnectivity(arfmodel,roidata=setIsoContour(arfmodel,95),
     funcfilename='single_events.nii.gz',type=c('avg','ev'),
     evmodel=c('spatial','spatiotemporal','eigenvariate'))

### Arguments

`arfmodel` | An ARF model object (class `model`).
`roidata` | `fmri.data` object containing ROIs for each region (must contain a volume for each region), can be obtained via `setIsoContour`.
`funcfilename` | Filename of the volume to extract the single-trial data.
`type` | Average using no weighing (`'avg'`) or by weighing with the first spatial eigenvector (`'ev'`).
`evmodel` | Which data is used to calculate the first spatial eigenvector: `'spatial'`, `'spatiotemporal'`, or `'eigenvariate'`.

### Value

Returns an object of class `arfcorrelation` including the region by time matrix of amplitude time-series and the estimated correlations.

### Author(s)

Wouter D. Weeda - w.d.weeda@gmail.com

### See Also

`model`, `arfcorrelation`, `fitConnectivity`, `setIsoContour`

[Package arf3DS4 version 2.5-10 Index]